Name: kde-edu-kstars
Summary: Desktop Panetarium
Group:   Graphical desktop/KDE4
Version: 14.12.3
Release: %mkrel 3
License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdeedu/%{name}
Source0: http://download.kde.org/stable/%{version}/src/kstars-%{version}.tar.xz
BuildRequires: kdelibs-devel
BuildRequires: %{_lib}cfitsio-devel 
BuildRequires: %{_lib}indi-devel 
Requires: 	kde-runtime
Requires:	%{_lib}cfitsio0
Requires:	indilib
Requires:	cfitsio
Requires:	xplanet

%description
KStars is a Desktop Planetarium for KDE. It provides an accurate graphical simulation of
the night sky, from any location on Earth, at any date and time. The display includes up 
to 100 million stars, 13,000 deep-sky objects, all 8 planets, the Sun and Moon, and 
thousands of comets and asteroids.

%files
%defattr(-,root,root)
%{_kde_bindir}/kstars
%{_kde_libdir}/libhtmesh.a
%{_kde_datadir}/applications/kde4/kstars.desktop
%{_kde_datadir}/appdata/kstars.appdata.xml
%{_kde_datadir}/apps/kstars
%{_kde_datadir}/config/kstars.knsrc
%{_kde_datadir}/config.kcfg/kstars.kcfg
%{_kde_datadir}/doc/HTML/en/kstars
%{_kde_iconsdir}/hicolor/*/apps/kstars.png
%{_kde_iconsdir}/hicolor/scalable/apps/kstars.svgz

%prep
%setup -q -n kstars-%version

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Geography" \
  --remove-category="ComputerScience" \
  --add-category="X-MandrivaLinux-MoreApplications-Education-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

%clean
rm -fr %buildroot

%changelog
* Tue Jul 21 2015 pinoc <vogtpet at gmail.com> 14.12.3-3pclos2015
- rebuild on 15.04.3

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 14.12.3-2pclos2015
- rebuild on 15.04

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

